<section class="container">
  <form [formGroup]="formCustomer" (submit)="onSubmitCustomer()" (keyup.enter)="onSubmitCustomer()">
    <div class="form-group">
      <label for="exampleFormControlInput1">Nombre</label>
      <input formControlName="name" class="form-control" id="exampleFormControlInput1" type="text" placeholder="Nombre">
      <div class="pushError" [ngClass]="{'pushErrorShow': formCustomer.controls.name.invalid && formCustomer.controls.name.touched}">
        <span>Ingresa un nombre</span>
      </div>
    </div>
    <div class="form-group">
      <label for="exampleFormControlInput2">Apellido</label>
      <input formControlName="lastName" class="form-control" id="exampleFormControlInput2" [ngClass]="{'bad-border': formCustomer.controls.lastName.invalid && formCustomer.controls.lastName.touched}"
        type="text" placeholder="Apellido">
      <div class="pushError" [ngClass]="{'pushErrorShow': formCustomer.controls.lastName.invalid && formCustomer.controls.lastName.touched}">
        <span>Ingresa un apellido</span>
      </div>
    </div>
    <div class="form-group">
      <label for="exampleFormControlInput3">CC</label>
      <input formControlName="id" class="form-control" id="exampleFormControlInput3" [ngClass]="{'bad-border': formCustomer.controls.id.invalid && formCustomer.controls.id.touched}"
        type="number" placeholder="CC">
      <div class="pushError" [ngClass]="{'pushErrorShow': formCustomer.controls.id.invalid && formCustomer.controls.id.touched}">
        <span>Ingresa un numero de documento valido</span>
      </div>
    </div>
    <div class="form-group">
      <label for="exampleFormControlInput2">Fecha de nacimiento</label>
      <div class="input-group">
        <input class="form-control" formControlName="dateBorn" placeholder="yyyy-mm-dd" name="dp" ngbDatepicker #d="ngbDatepicker">
        <div class="input-group-append">
          <button class="btn btn-outline-secondary " (click)="d.toggle()" type="button">
            <i class="fa fa-calendar" aria-hidden="true"></i>
          </button>
        </div>
      </div>
      <div class="pushError" [ngClass]="{'pushErrorShow': formCustomer.controls.dateBorn.invalid && formCustomer.controls.dateBorn.touched}">
        <span>Ingresa una fecha de cumpleaños</span>
      </div> 
      <div class="pushError" *ngIf="formCustomer.value.dateBorn" [ngClass]="{'pushErrorShow': today.getFullYear() - formCustomer.value.dateBorn.year < 18 }">
        <span>No eres mayor de edad</span>
      </div>
    </div>


    <button type="submit" [disabled]="formCustomer.invalid || today.getFullYear() - formCustomer.value.dateBorn.year < 18 " class="btn btn-primary">Enviar</button>
  </form>
</section>